/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface SamplingPointsServicesRsSlotsFuture
 */
export interface SamplingPointsServicesRsSlotsFuture {
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesRsSlotsFuture
     */
    id: number;
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesRsSlotsFuture
     */
    samplingPointsServicesRsId: number;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesRsSlotsFuture
     */
    timeFrom: Date;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesRsSlotsFuture
     */
    timeTo: Date;
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesRsSlotsFuture
     */
    freeSlots: number | null;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesRsSlotsFuture
     */
    updatedAt: Date;
}

export function SamplingPointsServicesRsSlotsFutureFromJSON(json: any): SamplingPointsServicesRsSlotsFuture {
    return SamplingPointsServicesRsSlotsFutureFromJSONTyped(json, false);
}

export function SamplingPointsServicesRsSlotsFutureFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPointsServicesRsSlotsFuture {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'id': json['id'],
        'samplingPointsServicesRsId': json['sampling_points_services_rs_id'],
        'timeFrom': (new Date(json['time_from'])),
        'timeTo': (new Date(json['time_to'])),
        'freeSlots': json['free_slots'],
        'updatedAt': (new Date(json['updated_at'])),
    };
}

export function SamplingPointsServicesRsSlotsFutureToJSON(value?: SamplingPointsServicesRsSlotsFuture | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'id': value.id,
        'sampling_points_services_rs_id': value.samplingPointsServicesRsId,
        'time_from': (value.timeFrom.toISOString()),
        'time_to': (value.timeTo.toISOString()),
        'free_slots': value.freeSlots,
        'updated_at': (value.updatedAt.toISOString()),
    };
}


